using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.PM;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("纠正与预防措施通知单明细表")]
    public class T_PE_CORRECTIVE_PREVENTIVE_DETAIL : MesEntityBase
    {
        [Description("纠正与预防措施通知单")]
        [DataFieldForeignKey("Nav_Corrective", "Nav_Details")]
        public Guid CORRECTIVE_PREVENTIVE_ID { get; set; }

        [Description("纠正与预防措施通知单")]
        public virtual T_PE_CORRECTIVE_PREVENTIVE Nav_Corrective { get; set; }
        [Description("生产单元")]
        [DataFieldForeignKey("Nav_ProductionUnit")]
        public Guid? PRODUCTION_UNIT_ID { get; set; }

        [Description("生产单元")]
        public virtual T_PE_STANDARDIZED_SCORE_IMPORT Nav_ProductionUnit { get; set; }
        [Description("模块名称")]
        [DataFieldForeignKey("Nav_StandardName")]
        public Guid? STANDARDIZED_ID { get; set; }

        [Description("模块名称")]
        public virtual T_PE_STANDARDIZED_SCORE_IMPORT Nav_StandardName { get; set; }
        [Description("纠正内容")]
        [FormFieldTable]
        [FormFieldQuery]
        public string CONTENTS { get; set; }

        [Description("不符合性质")]
        [FormFieldTable]
        [FormFieldQuery]
        [EnumName("PEConformityPropertyEnum")]
        public PEConformityPropertyEnum? CONFORM_PROPERTY { get; set; }

        [Description("整改期限")]
        [FormFieldTable]
        [FormFieldQuery]
        public DateTime? RECTIFICATION_TIME { get; set; }

        [Description("评估人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("评估人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("责任部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("责任部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
